Get an email message
curl --request GET \
--url https://api.altahq.com/v1/inbox/email/messages/{emailMessageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectType": "email_message",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subject": "<string>",
"body": "<string>",
"recipients": {
"to": [
{
"name": "<string>",
"email": "jsmith@example.com"
}
],
"cc": [
{
"name": "<string>",
"email": "jsmith@example.com"
}
],
"bcc": [
{
"name": "<string>",
"email": "jsmith@example.com"
}
]
},
"sentAt": "2023-11-07T05:31:56Z",
"emailThreadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from": {
"name": "<string>",
"email": "jsmith@example.com"
},
"type": "manual",
"status": "sent",
"prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "NotFound",
"message": "Resource not found"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}Email
Get an email message
Retrieves a single email message by its ID.
GET
/
inbox
/
email
/
messages
/
{emailMessageId}
Get an email message
curl --request GET \
--url https://api.altahq.com/v1/inbox/email/messages/{emailMessageId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.altahq.com/v1/inbox/email/messages/{emailMessageId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectType": "email_message",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"subject": "<string>",
"body": "<string>",
"recipients": {
"to": [
{
"name": "<string>",
"email": "jsmith@example.com"
}
],
"cc": [
{
"name": "<string>",
"email": "jsmith@example.com"
}
],
"bcc": [
{
"name": "<string>",
"email": "jsmith@example.com"
}
]
},
"sentAt": "2023-11-07T05:31:56Z",
"emailThreadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"from": {
"name": "<string>",
"email": "jsmith@example.com"
},
"type": "manual",
"status": "sent",
"prospectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "NotFound",
"message": "Resource not found"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}Returns an email message object.
Authorizations
API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.
Path Parameters
The UUID of the email message.
Response
The email message object
Unique identifier for the object.
The type of this object.
Available options:
email_message Timestamp when the object was created.
Timestamp when the object was last updated.
The email subject line.
The email body content.
Show child attributes
Show child attributes
Timestamp when the email was sent.
The ID of the email thread this message belongs to.
The sender of the email.
Show child attributes
Show child attributes
The type of the email message.
Available options:
manual, campaign, reply_agent, received The status of the email message.
Available options:
sent, draft The ID of the prospect associated with this message.
The ID of the rep associated with this message.